# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXQueryPickPath

Function

Returns information about a pick path.

Syntax
`
#include <dx/dx.h>
`

Error DXQueryPickPath(Field picks, int poke, int pick,
int *pathLength, int **path, int *elementId, int *vertexId)

Functional Details

For the specified Field, poke number, and pick, this routine returns:

- the length of the pick path (in `pathLength`)
- the pick path (in `path`)
- the index of the picked element (in `elementId`)
- the index of the closest vertex of the picked element (in terms of screen space) to the poke (in `vertexId`).

The input to the routine is a Field (`picks`, containing pick information), a poke number (`poke`), and the number of the pick in that poke. The pick Field is created by the Pick tool.

Return Value

Returns `OK` or returns `NULL` and sets an error code. Errors include a nonexistent poke number and a nonexistent pick number.

See Also

`DXGetPickPoint, DXQueryPickCount, DXQueryPokeCount, DXTraversePickPath`

14.6 , "Pick-Assistance Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]